Galileo

[KSP 1.4.5] Galileo's Planet Pack [v1.6.3.1] [03 Aug 2018]

Recommended Posts

1 hour ago, Motokid600 said:

What luminosity value would Kerbol be?

The default value is 1360.  But why are you asking?  Kerbol is not part of GPP, unless you're using GPP_Secondary.  Is there a problem of some sort?

 

Edited by OhioBob

Share this post


Link to post
Share on other sites

I installed this to the direct manual installation that the directions called for.

It loads fine, until "Expansion Loading Complete" then it freezes and KSP quits.

No error logs are shown or appear. 

(I have no other mods installed)

Edited by Omniscient Walrus

Share this post


Link to post
Share on other sites
2 hours ago, Omniscient Walrus said:

I installed this to the direct manual installation that the directions called for.

It loads fine, until "Expansion Loading Complete" then it freezes and KSP quits.

No error logs are shown or appear. 

(I have no other mods installed)

Read this thread (also available in Galileo's sig block - in red) to find and post a link to your log file.  One is always created but it isn't displayed on an error.  You should be notified if a crash log is generated but that's different and not as helpful diagnosing mod installation problems.

What versions of KSP and GPP are you using?

Edited by Brigadier

Share this post


Link to post
Share on other sites
6 hours ago, Motokid600 said:

Ciro is set to be dimmer then Kerbol, right? Id like to match the brightness of the original is all.

Ciro has the same luminosity as the stock sun.  But the "luminosity" setting has nothing to do with the apparent brightness of a star.  Luminosity determines things like the output of solar panels.

When you say Ciro is dimmer than Kerbol, what do you mean exactly?  Are you referring the amount of illumination that you see on Kerbin?  If so, then yes, Ciro's settings are lower than those of the stock sun.  The amount of illumination is controlled by a set of three sunlight intensity curves.  If you want Ciro to cast brighter light, you need to edit those curves.

Be advised, however, that brighter illumination over exposes the clouds (if you are using EVE).  The current settings are what we believe produces the best overall visual experience.  We don't recommend changes.
 

Edited by OhioBob

Share this post


Link to post
Share on other sites

I am running into a bug and looking to see if anyone else has run into it and has any insight into it.

One of the following mods is causing the bug, as these are the only mods I have installed (installed through CKAN), and I confirmed it cannot be reproduced in a pure stock install.
            "name": "GPP"
            "name": "ModuleManager"
            "name": "Kopernicus"
            "name": "ModularFlightIntegrator"
            "name": "GPPTextures"
            "name": "CommunityCategoryKit"

The bug is that if you are transferring to another SOI, and either use the "Warp to" feature, or the "Warp to node" feature, the patched conics move positions on you. I.E. Your periapsis will change altitude every time you try to warp. See the following screenshots in the Squad bug tracker, as I thought it was a stock bug at first.

https://bugs.kerbalspaceprogram.com/issues/19572

I would like to narrow it done further to 1 particular mod if possible, but since these are all pretty much dependencies for GPP, I am not sure the best way to do that.

EDIT: I forgot to mention, this is 1.4.5 with the latest versions on CKAN.  

Edited by MechBFP

Share this post


Link to post
Share on other sites
13 hours ago, MechBFP said:

I am running into a bug and looking to see if anyone else has run into it and has any insight into it.

One of the following mods is causing the bug, as these are the only mods I have installed (installed through CKAN), and I confirmed it cannot be reproduced in a pure stock install.
            "name": "GPP"
            "name": "ModuleManager"
            "name": "Kopernicus"
            "name": "ModularFlightIntegrator"
            "name": "GPPTextures"
            "name": "CommunityCategoryKit"

The bug is that if you are transferring to another SOI, and either use the "Warp to" feature, or the "Warp to node" feature, the patched conics move positions on you. I.E. Your periapsis will change altitude every time you try to warp. See the following screenshots in the Squad bug tracker, as I thought it was a stock bug at first.

https://bugs.kerbalspaceprogram.com/issues/19572

I would like to narrow it done further to 1 particular mod if possible, but since these are all pretty much dependencies for GPP, I am not sure the best way to do that.

EDIT: I forgot to mention, this is 1.4.5 with the latest versions on CKAN.  

It's a pretty safe bet that ModuleManager, GPPTextures & CommunityCategoryKit are not the source of this. If I had to hazard a guess, my money would be on Kopernicus or ModularFlightIntegrator. I'd advised trying a stock vanilla install & try to duplicate the issue. Then install JUST Kopernicus & try again. Repeat for MFI.

Share this post


Link to post
Share on other sites
1 hour ago, Bombaatu said:

It's a pretty safe bet that ModuleManager, GPPTextures & CommunityCategoryKit are not the source of this. If I had to hazard a guess, my money would be on Kopernicus or ModularFlightIntegrator. I'd advised trying a stock vanilla install & try to duplicate the issue. Then install JUST Kopernicus & try again. Repeat for MFI.

Kopernicus requires MFI to run. 

Share this post


Link to post
Share on other sites
13 hours ago, Galileo said:

Kopernicus requires MFI to run. 

Ah - was not aware of that. In that case, start with MFI & see if you can reproduce issue; if not, introduce KK.

Share this post


Link to post
Share on other sites
9 hours ago, Bombaatu said:

Ah - was not aware of that. In that case, start with MFI & see if you can reproduce issue; if not, introduce KK.

Thanks for the help you two.

I was able to narrow it down further to just MFI, MM, and Kopernicus and the problem was still occurring, so then I uninstalled just Kopernicus, and the problem went away.

As such Kopernicus appears to be the culprit. I'll file a bug report with those devs.

EDIT: Bug report filed. https://github.com/Kopernicus/Kopernicus/issues/308

Edited by MechBFP

Share this post


Link to post
Share on other sites
On 11/16/2016 at 10:32 PM, Galileo said:

You don't install svt or sve with this pack everything is included. 

Unistalling SVT and SVE is advised then?

Also, is this modeled after the real solar system? I'm trying to figure out the difference between this mod and Outer Planets.

Share this post


Link to post
Share on other sites
30 minutes ago, 1990eam said:

Unistalling SVT and SVE is advised then?

Yes, uninstall them.  SVT and SVE are made for the stock solar system.  Installing them with GPP will, if anything, only cause problems.  GPP comes with all the configs it needs to do the same things that SVT and SVE do.

30 minutes ago, 1990eam said:

Also, is this modeled after the real solar system? I'm trying to figure out the difference between this mod and Outer Planets.

While GPP has some similarities to the real solar system (i.e. rocky inner planets, outer gas giants, and far outer icy planets), it is not intended to be modeled after it.  Some of the planets and moons are very different, offering some new and different challenges as far as exploration is concerned.  One of the main differences between GPP and Stock/OPM is that GPP is generally regarded as having better looking planets. 
 

Edited by OhioBob

Share this post


Link to post
Share on other sites
5 minutes ago, OhioBob said:

Yes, uninstall them.  SVT and DVE are made for the stock solar system.  Installing them with GPP will, if anything, only cause problems.  GPP comes with all the configs it needs to do the same things that SVT and SVE do.

While GPP has some similarities to the real solar system (i.e. rocky inner planets, outer gas giants, and far outer icy planets), it is not intended to be modeled after it.  Some of the planets and moons are very different, offering some new and different challenges as far as exploration is concerned.  One of the main differences between GPP and Stock/OPM is that GPP is generally regarded as having better looking planets. 

Thanks for the explanation.

I got rid of OPM and installed GPP and the high res cloud textures. However, I'm noticing the clouds are not present? Is something in conflict with another visual mod like AVP?

No GPP:
 

Spoiler

 

FnVYwFh.jpg

5BnlW7N.jpg

 

GPP installed:
 

Spoiler

 

HkhW9Wf.jpg

oP1MqIP.jpg

 

Mod list:

 

Spoiler

l8FIWcG.jpg

 

Logs:

https://www.dropbox.com/s/cnla6davlwk5ld4/Logs.rar?dl=0 (KSP + output log compressed 800kb .rar)

https://www.dropbox.com/s/i80kppzgu52mb0e/KSP.log?dl=0 (uncompressed 8mb KSP.log)

https://www.dropbox.com/s/687y3jg4vwyuw85/output_log.txt?dl=0 (uncompressed 13mb Output.log)

Share this post


Link to post
Share on other sites
1 hour ago, 1990eam said:

Thanks for the explanation.

I got rid of OPM and installed GPP and the high res cloud textures. However, I'm noticing the clouds are not present? Is something in conflict with another visual mod like AVP?

No GPP:
 

  Reveal hidden contents

 

FnVYwFh.jpg

5BnlW7N.jpg

 

GPP installed:
 

  Reveal hidden contents

 

HkhW9Wf.jpg

oP1MqIP.jpg

 

Mod list:

 

  Reveal hidden contents

l8FIWcG.jpg

 

Logs:

https://www.dropbox.com/s/cnla6davlwk5ld4/Logs.rar?dl=0 (KSP + output log compressed 800kb .rar)

https://www.dropbox.com/s/i80kppzgu52mb0e/KSP.log?dl=0 (uncompressed 8mb KSP.log)

https://www.dropbox.com/s/687y3jg4vwyuw85/output_log.txt?dl=0 (uncompressed 13mb Output.log)

Clouds do not show up in the main menu. Please go in game to see the clouds.

Edit: and AVP is for the stock system.... there is no stock system here. The top of the OP explains that. So remove it.

Edit: also, my sun flares mod (GSF) does not work with this pack either as it is also for the stock system. The only other flare mods that work with GPP are Sun Flares of Maar and Flare Replacer.

Edit: ALSO, Realistic Atmospheres is for the stock system...

Edit: all of this is explained in the “More Info” link in the OP. It explains what mods are supported. I suggest reading it first before doing anything else. 

I can’t supply any more support than what we already have. We have worked hard to provide as much direction and advice in our OP, our read me file in the download and in @JadeOfMaars info post underneath the OP

Edited by Galileo

Share this post


Link to post
Share on other sites

Hey, I have a problem with GPP/Kopernicus. Whenever I try to enter another sphere of influence with a active craft (excluding Gael), or try to switch to a craft in another soi (again excluding Gael), the game freezes/stops responding. The cause here is this warning in the ksp.log:

Cannot find preset 'Default' for pqs '(insert planet name)'

After this message, the log just starts increasing the pqs cache without stopping (see log). This freezes the game.

I am playing KSP 1.4.5, using Kopernicus 1.4.5-2 and the latest version of GPP from CKAN. Any help is greatly appreciated, thanks.

Logs and pic of GameData:

https://drive.google.com/open?id=1cejbjUN-BdeN86-AS1gwdBsSoi3-vflY

https://drive.google.com/open?id=17nhEJ-kskWFqRBIA3pxU1EDiQ_B4gqye

https://drive.google.com/open?id=1r0d0GjNMpwxWEEg50f1UFrrRlKe1m9l-

Share this post


Link to post
Share on other sites
23 hours ago, Akke_Pakke said:

Hey, I have a problem with GPP/Kopernicus. Whenever I try to enter another sphere of influence with a active craft (excluding Gael), or try to switch to a craft in another soi (again excluding Gael), the game freezes/stops responding. The cause here is this warning in the ksp.log:

Cannot find preset 'Default' for pqs '(insert planet name)'

After this message, the log just starts increasing the pqs cache without stopping (see log). This freezes the game.

I am having the same issue with my own custom Earth planet... I am interested if someone comes up with a solution.

Share this post


Link to post
Share on other sites
On 8/26/2018 at 2:53 PM, Akke_Pakke said:

Hey, I have a problem with GPP/Kopernicus. Whenever I try to enter another sphere of influence with a active craft (excluding Gael), or try to switch to a craft in another soi (again excluding Gael), the game freezes/stops responding. The cause here is this warning in the ksp.log:

Cannot find preset 'Default' for pqs '(insert planet name)'

After this message, the log just starts increasing the pqs cache without stopping (see log). This freezes the game.

I am playing KSP 1.4.5, using Kopernicus 1.4.5-2 and the latest version of GPP from CKAN. Any help is greatly appreciated, thanks.

Logs and pic of GameData:

https://drive.google.com/open?id=1cejbjUN-BdeN86-AS1gwdBsSoi3-vflY

https://drive.google.com/open?id=17nhEJ-kskWFqRBIA3pxU1EDiQ_B4gqye

https://drive.google.com/open?id=1r0d0GjNMpwxWEEg50f1UFrrRlKe1m9l-

You also have a ton of mods that might be causing the problem and, as a consequence, it's going to be almost impossible to provide you with any guidance (unless someone can spot an incompatible mod in the collection).

The recommended approach is to start with a stock KSP install plus GPP then add mods (potentially in groups) until you replicate the problem.  Or, start with your full configuration and remove mods in groups until the problem disappears.  Fine tune as necessary to isolate.

Share this post


Link to post
Share on other sites
On 8/26/2018 at 5:53 PM, Akke_Pakke said:

Hey, I have a problem with GPP/Kopernicus. Whenever I try to enter another sphere of influence with a active craft (excluding Gael), or try to switch to a craft in another soi (again excluding Gael), the game freezes/stops responding. The cause here is this warning in the ksp.log:

Cannot find preset 'Default' for pqs '(insert planet name)'

After this message, the log just starts increasing the pqs cache without stopping (see log). This freezes the game.

I am playing KSP 1.4.5, using Kopernicus 1.4.5-2 and the latest version of GPP from CKAN. Any help is greatly appreciated, thanks.

Logs and pic of GameData:

https://drive.google.com/open?id=1cejbjUN-BdeN86-AS1gwdBsSoi3-vflY

https://drive.google.com/open?id=17nhEJ-kskWFqRBIA3pxU1EDiQ_B4gqye

https://drive.google.com/open?id=1r0d0GjNMpwxWEEg50f1UFrrRlKe1m9l-

read that thread. The answer is in there.

Share this post


Link to post
Share on other sites
14 hours ago, eberkain said:

night side reentry caused the planet to glow weirdly.  

It's my understanding that it's a stock bug.  Nothing to do with GPP.

Share this post


Link to post
Share on other sites
9 hours ago, OhioBob said:

It's my understanding that it's a stock bug.  Nothing to do with GPP.

Indeed. Still not fixed in 1.4.5. :(

Share this post


Link to post
Share on other sites

Is there any way I can get the amazing edited KSC complex that uses Kerbal Konstructs into the stock game?

Share this post


Link to post
Share on other sites
On 11/16/2016 at 1:55 PM, JadeOfMaar said:

Sigma Replacements

  • For high quality Gaelean heads, suits, navballs and Skyboxes install Sigma Replacements, found only on GitHub. This mod suite is our official replacement to TextureReplacer and allows easier and more convenient installation of kerbal heads, suits, navballs and skyboxes. 

Are there any other suit packs that can be added?  

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.